<!--  bctask.mod; 23 March 2001
 | Copyright IBM Corporation, 2001
 | This file is part of the DITA package on IBM's developerWorks site.
 | See license.txt for disclaimers.
 +=========================
 | bctask (business-control task) is a specialization of the task element.
 | A new step-type element (appstep) is added.
 | All possible containers of the new element must also be specialized.
 | Other elements referred to here are defined through a more generic task DTD.
 *-->


<!-- specialize the task element to include bctaskbody -->
<!ELEMENT bctask         (title,  prolog?,  bctaskbody, (%info-types;)* )>
<!ATTLIST bctask         appid CDATA #IMPLIED
                         id CDATA #REQUIRED
                         %univ-atts;>

<!-- specialize the taskbody element to include bcsteps -->
<!ELEMENT bctaskbody     (prereq?, context?, bcsteps?, result?, xmp?, postreq?) >
<!ATTLIST bctaskbody     %univ-atts;>

<!-- specialize the steps element to include appstep -->
<!ELEMENT bcsteps        ( (step|appstep)* ) >
<!ATTLIST bcsteps        %univ-atts;>

<!-- new step type and description -->
<!ELEMENT appstep        (cmd, appdesc, (info|substeps|taskxmp|choices)*, stepresult?)>

<!ELEMENT appdesc        (#PCDATA)* >
<!ATTLIST appdesc        title (SAP|Web|Notes|Custom) "Web"
                         %univ-atts;>

<!-- specialization attributes -->
<!ATTLIST bctask         spec CDATA " topic.topic task.task     bctask.bctask " >
<!ATTLIST bctaskbody     spec CDATA " topic.body  task.taskbody bctask.bctaskbody " >
<!ATTLIST bcsteps        spec CDATA " topic.ol    task.steps    bctask.bcsteps " >
<!ATTLIST appstep        spec CDATA " topic.li    task.step     bctask.appstep " >
<!ATTLIST appdesc        spec CDATA " topic.ph    task.info     bctask.appdesc " >

<!-- shouldn't be necessary; I think there's a bug in H1 handling in common.xsl -->
<!--ATTLIST title          spec CDATA " topic.title " -->