<!--  task.mod 1.0; 26 February 2001
 | Copyright IBM Corporation, 2001
 | This file is part of the DITA package on IBM's developerWorks site.
 | See dita-readme.htm for disclaimers.
 | sep 05 2001 DRD added choice into choices; new ifcond content model
 |
 *-->


<!ELEMENT task            (title,  prolog?,  taskbody, (%info-types;)* )>
<!ATTLIST task             appid CDATA #IMPLIED
                           id ID #IMPLIED
                           %univ-atts;
                           domain   CDATA #FIXED "DITA topic//user assistance"
                           semantic CDATA #FIXED "generic topic"
                           synonyms CDATA #FIXED "article, section, brief"
>
<!ELEMENT taskbody        (prereq?, context?, steps?, result?, xmp?, postreq?) >
<!ATTLIST taskbody         %univ-atts;>

<!-- containers for unique sections:    -->
<!ELEMENT steps           (step+)>     <!-- case of nested sections -->
<!ATTLIST steps            %univ-atts;>
<!ELEMENT step            (cmd, (info|substeps|tutorialinfo|taskxmp|choices)*, stepresult?) >
<!ATTLIST step             id ID #IMPLIED
                           importance ( optional | required ) #IMPLIED
                           %univ-atts;
                           optreq (opt|req) #IMPLIED>
<!ELEMENT substeps        (substep+) >
<!ATTLIST substeps         %univ-atts;>
<!ELEMENT substep         (cmd, info?)> 
<!ATTLIST substep          importance ( optional | required ) #IMPLIED
                           %univ-atts;
                           optreq (opt|req) #IMPLIED>

<!ELEMENT cmd             (%ph.cnt;)* >
<!ATTLIST cmd              %univ-atts;> 

<!ELEMENT choices         (ifcond+|choice+) > 
<!ATTLIST choices          %univ-atts;>
<!ELEMENT choice          (#PCDATA|%full.ph;)*>
<!ELEMENT ifcond          (issue,outcome)+>
<!ATTLIST ifcond           %univ-atts;>
<!ELEMENT issue           (%liblock.cnt;)*>
<!ATTLIST issue            classif CDATA #IMPLIED
                           label CDATA #IMPLIED
                           %univ-atts;> 
<!ELEMENT outcome         (%liblock.cnt;)*>
<!ATTLIST outcome          classif CDATA #IMPLIED
                           label CDATA #IMPLIED
                           %univ-atts;> 

<!-- unique content sections:    -->
<!ELEMENT taskxmp         (%para.cnt;)* >
<!ATTLIST taskxmp          id ID #IMPLIED 
                           %univ-atts;
                           classif CDATA #IMPLIED
                           label CDATA #IMPLIED>

<!-- unique semantic sections (undifferentiated content):    -->
<!ELEMENT info            (%liblock.cnt;)* >
<!ATTLIST info            id ID #IMPLIED 
                          %univ-atts;
                          classif CDATA #IMPLIED
                          label CDATA #IMPLIED>
<!ELEMENT stepresult      (%liblock.cnt;)* >
<!ATTLIST stepresult      id ID #IMPLIED 
                          %univ-atts;
                          classif CDATA #IMPLIED
                          label CDATA #IMPLIED>

<!ELEMENT result          (%section.notitle.cnt;)* >
<!ATTLIST result          id ID #IMPLIED 
                          %univ-atts;
                          classif CDATA #IMPLIED
                          label CDATA #IMPLIED>

<!ELEMENT prereq          (%section.notitle.cnt;)* >
<!ATTLIST prereq          %univ-atts;
                          classif CDATA #IMPLIED
                          label CDATA #IMPLIED>
<!ELEMENT postreq         (%section.notitle.cnt;)* >
<!ATTLIST postreq         %univ-atts;
                          classif CDATA #IMPLIED
                          label CDATA #IMPLIED>
<!ELEMENT context         (%section.notitle.cnt;)* >
<!ATTLIST context         %univ-atts;
                          classif CDATA #IMPLIED
                          label CDATA #IMPLIED>
<!ELEMENT tutorialinfo    (%liblock.cnt;)* >
<!ATTLIST tutorialinfo    id ID #IMPLIED 
                          %univ-atts;
                          classif CDATA #IMPLIED
                          label CDATA #IMPLIED> 

<!--specialization attributes-->
<!ATTLIST task           spec CDATA " topic.topic   task.task ">
<!ATTLIST taskbody       spec CDATA " topic.body    task.taskbody ">
<!ATTLIST steps          spec CDATA " topic.ol      task.steps ">
<!ATTLIST step           spec CDATA " topic.li      task.step ">
<!ATTLIST cmd            spec CDATA " topic.ph      task.cmd ">
<!ATTLIST substeps       spec CDATA " topic.ol      task.substeps ">
<!ATTLIST substep        spec CDATA " topic.li      task.substep ">
<!ATTLIST tutorialinfo   spec CDATA " topic.liblock task.tutorialinfo ">
<!ATTLIST info           spec CDATA " topic.liblock task.info ">
<!ATTLIST taskxmp        spec CDATA " topic.liblock task.taskxmp ">
<!ATTLIST stepresult     spec CDATA " topic.liblock task.stepresult ">

<!ATTLIST choices        spec CDATA " topic.ul      task.choices ">
<!ATTLIST choice         spec CDATA " topic.li      task.choice ">
<!ATTLIST ifcond         spec CDATA " topic.li      task.ifcond ">
<!ATTLIST issue          spec CDATA " topic.liblock task.issue ">
<!ATTLIST outcome        spec CDATA " topic.liblock task.outcome ">

<!ATTLIST result         spec CDATA " topic.section task.result ">
<!ATTLIST prereq         spec CDATA " topic.section task.prereq ">
<!ATTLIST postreq        spec CDATA " topic.section task.postreq ">
<!ATTLIST context        spec CDATA " topic.section task.context ">

