<!--  bcdisplay.xsl; 23 March 2001  
 | Specific override stylesheet for the task.xsl stylesheet.
 |
 | Copyright IBM Corporation, 2001
 | This file is part of the DITA package on IBM's developerWorks site.
 | See license.txt for disclaimers.
 +======================================
 |
 *-->
 
<xsl:stylesheet version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:import href="taskdisplay.xsl"/>

<xsl:output method="html" encoding="iso-8859-1"
            indent="no" />

<!-- Assign graphic variable for each application type.
     For now, they're all the same -->

<xsl:variable name="webicon">appstep.gif</xsl:variable>
<xsl:variable name="notesicon">appstep.gif</xsl:variable>
<xsl:variable name="sapicon">appstep.gif</xsl:variable>
<xsl:variable name="customicon">appstep.gif</xsl:variable>

<!-- dummy template rule; this is actually processed with appstep -->
<xsl:template match="appdesc|*[contains(@spec,' bctask.appdesc ')]" />

<!-- The following template rule reflects default label value of "Web" -->

<xsl:template match="appstep|*[contains(@spec,' bctask.appstep ')]">
  <li>
    <xsl:variable name="alt-text">
      <xsl:value-of select="appdesc" />
    </xsl:variable>
    <xsl:choose>
      <xsl:when test="@label='Custom' ">
         <img src="images/{$customicon}" alt="{$alt-text}" /> 
      </xsl:when>
      <xsl:when test="@label='Notes' ">
         <img src="images/{$notesicon}" alt="{$alt-text}" /> 
      </xsl:when>
      <xsl:when test="@label='SAP' ">
         <img src="images/{$sapicon}" alt="{$alt-text}" /> 
      </xsl:when>
      <xsl:otherwise>
         <img src="images/{$webicon}" alt="{$alt-text}" /> 
      </xsl:otherwise>
    </xsl:choose>
    <xsl:text> </xsl:text>
    <xsl:apply-templates />
  </li>
</xsl:template>

<!-- turn off some default task section titles by using this generic override -->
<xsl:template match="prereq|postreq">
  <xsl:apply-templates/>
</xsl:template>

<!-- Templates for other specialized elements should not be necessary
     because no specialized processing is done for them in this sample.
     The more generic template rules should apply.
     -->

</xsl:stylesheet>