<?xml version="1.0" encoding="UTF-8" ?>

<!--  dit2sld.xsl 1.0; 3 May 2001
 | DITA topic to slide-show version of HTML
 |
 | Copyright IBM Corporation, 2001
 | This file is part of the DITA package on IBM's developerWorks site.
 | See license.txt for disclaimers.
 +======================================
 |
 *-->

<xsl:stylesheet version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:import href="dit2htm.xsl"/>

<xsl:output method="html" encoding="iso-8859-1"
            indent="no" />


<xsl:variable name="imgdir">images/</xsl:variable>



<xsl:template match="/">     <!-- first prepare commentary around list -->
 <xsl:comment>Sample DITA to HTML application by IBM Corp., 2001</xsl:comment>
 <HTML>
   <HEAD>
      <META http-equiv="generator" content="IBM Darwin Information Typing Architecture slides transform"/>
      <LINK HREF="slides.css" REL="STYLESHEET" TYPE="text/css"/>
      <TITLE><!-- Take first heading in chunk -->
      <xsl:if test="//*/bktitle"><xsl:value-of select="//*/bktitle"/>: </xsl:if>
        <xsl:value-of select="//*/title"/>
       </TITLE>
   </HEAD>
   <BODY>
       <xsl:apply-templates select="//topic[position()=1]/prolog/author"/>
       <xsl:apply-templates select="//topic"/>
   </BODY>
 </HTML>
</xsl:template>


<xsl:template match="topic">
  <xsl:call-template name="make-shell"/>
</xsl:template>


<xsl:template name="make-shell">

 <xsl:variable name="first">1</xsl:variable>
 <xsl:variable name="last"><xsl:value-of select="last()"/></xsl:variable>
 <xsl:variable name="here"><xsl:number count="topic" level="any"/></xsl:variable>
 <xsl:variable name="next"><xsl:value-of select="$here + 1"/></xsl:variable>
 <xsl:variable name="prev"><xsl:value-of select="$here - 1"/></xsl:variable>

<A name="sld{$here}"> </A>
     <CENTER>
     <TABLE WIDTH="550" BORDER="1" CELLPADDING="20">
       <TR>
         <TD WIDTH="100%" ALIGN="CENTER" bgcolor="#6699CC">
         <A HREF="#sld{$first}">       <IMG SRC="{$imgdir}Return.gif"       BORDER="0" ALT="Return to beginning of the set"    WIDTH="27" HEIGHT="27"/></A>
         <xsl:choose>
           <xsl:when test="$prev = '0'">
                                       <IMG SRC="{$imgdir}Back.gif"         BORDER="0" ALT="Back to previous"                  WIDTH="27" HEIGHT="27"/>
         </xsl:when>
         <xsl:otherwise>
         <A HREF="#sld{$prev}">        <IMG SRC="{$imgdir}Back.gif"         BORDER="0" ALT="Back to previous"                  WIDTH="27" HEIGHT="27"/></A>
           </xsl:otherwise>
         </xsl:choose>
         <xsl:choose>
           <xsl:when test="$here = $last">
                                       <IMG SRC="{$imgdir}Forward.gif"      BORDER="0" ALT="Forward to next"                   WIDTH="27" HEIGHT="27"/>
         </xsl:when>
         <xsl:otherwise>
         <A HREF="#sld{$next}">        <IMG SRC="{$imgdir}Forward.gif"      BORDER="0" ALT="Forward to next"                   WIDTH="27" HEIGHT="27"/></A>
           </xsl:otherwise>
         </xsl:choose>
         <A HREF="#sld{$last}">        <IMG SRC="{$imgdir}End.gif"          BORDER="0" ALT="Jump to the end of the set"        WIDTH="27" HEIGHT="27"/></A>
                                       <IMG SRC="{$imgdir}space0.png"        BORDER="0"                                         WIDTH="27" HEIGHT="27"/>
                                       <IMG SRC="{$imgdir}Information.gif"  BORDER="0" ALT="Information"                       WIDTH="27" HEIGHT="27"/>
         <A HREF="http://www.ibm.com/"><IMG SRC="{$imgdir}Home.gif"         BORDER="0" ALT="Home page of this set"             WIDTH="27" HEIGHT="27"/></A>
<!--
         <A HREF="txt{$here}.htm">     <IMG SRC="{$imgdir}text.gif"         BORDER="0" ALT="Text"                              WIDTH="27" HEIGHT="27"/></A>
-->
         </TD>
       </TR>
       <TR>
         <TD WIDTH="100%" bgcolor="#99ccff">
           <xsl:apply-templates select="title"/>
           <xsl:apply-templates select="body"/>
           <!-- by not doing a pat apply-templates, we prevent recursive child processing-->
         </TD>
       </TR>
     </TABLE>
     <P style="page-break-after:always">Slide <xsl:value-of select="$here"/> of <xsl:value-of select="$last"/></P>
<HR width="50"/>
<PRE>
.
.
.
.
.
.
.
.
.
V
</PRE>
     </CENTER>
</xsl:template> 


<!-- added support for "SlideMaster" application context for topics -->

<xsl:template match="slidemaster|body|section">
  <xsl:apply-templates/>
</xsl:template>

<xsl:template match="slidemaster/*/title|*/title" priority="1">
  <H1 class="hdmain"><xsl:apply-templates/></H1>
  <HR SIZE="8" COLOR="#336699" NOSHADE="NOSHADE"/>
</xsl:template>

<xsl:template match="slidemaster/*/*/title|*/*/title" priority="1"> <!-- second level titles -->
  <H2 class="hdsub"><xsl:apply-templates/></H2>
  <HR SIZE="8" COLOR="#336699" NOSHADE="NOSHADE"/>
</xsl:template>

<xsl:template match="slidemaster/*/*/*/title|*/*/*/title" priority="1"> <!-- third level titles -->
  <H3 class="hdsubsub"><xsl:apply-templates/></H3>
  <HR SIZE="8" COLOR="#336699" NOSHADE="NOSHADE"/>
</xsl:template>

<xsl:template match="section/title" priority="1">
  <CENTER>
  <H4 class="hdsect"><xsl:apply-templates/></H4>
  </CENTER>
</xsl:template>

<xsl:template match="xp" priority="1">
  <P style="font-size: 14pt">
    <xsl:apply-templates/>
  </P>
</xsl:template>

<xsl:template match="xli" priority="1">
  <LI style="font-size: 14pt">
    <xsl:apply-templates/>
  </LI>
</xsl:template>

<xsl:template match="prolog"/>


</xsl:stylesheet>

