<!--  elementref.xsl 1.0; 14 May 2001
 | Copyright IBM Corporation, 2001
 | This file is part of the DITA package on IBM's developerWorks site.
 | See license.txt for disclaimers.
 *-->

<xsl:stylesheet version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:import href="dit2htm.xsl"/>

<xsl:output method="html" encoding="iso-8859-1"
            indent="no" />

<!-- override some base function -->

<xsl:template name="gen-user-sidetoc">
  <!-- turn off the default side Table of Contents for this view -->
</xsl:template>

<!-- this element is based on "term" which has implicit linking, so we provide
  processing to ensure that it does not default -->
<xsl:template match="element|longname">
  <xsl:apply-templates/>
</xsl:template>


<!-- Let these fall through: elementref elementdesc -->

<!-- title subsections: -->

<xsl:template match="elementname">
  <h2 class="topictitle1"><xsl:apply-templates select="element"/>: <xsl:apply-templates select="longname"/></h2>
</xsl:template>


<!-- Section level headings: purpose, containedby, contains, attributes, examples-->

<xsl:template match="purpose">
  <h3>Purpose</h3>
  <blockquote><xsl:apply-templates/></blockquote>
</xsl:template>

<xsl:template match="containedby">
  <h3>Contained by</h3>
  <blockquote><xsl:apply-templates/></blockquote>
</xsl:template>

<xsl:template match="contains">
  <h3>Contains</h3>
  <blockquote><xsl:apply-templates/></blockquote>
</xsl:template>

<xsl:template match="examples">
  <h3>Examples</h3>
  <blockquote><xsl:apply-templates/></blockquote>
</xsl:template>

<xsl:template match="attributes">
  <h3>Attributes</h3>
  <blockquote><xsl:apply-templates/></blockquote>
</xsl:template>

<xsl:template match="no">No</xsl:template>
<xsl:template match="yes"><b>Yes</b></xsl:template>


<xsl:template match="attlist">
  <table border="1" cellpadding="4">
    <tr>
      <th bgcolor="silver">Name</th>
      <th bgcolor="silver">Description</th>
      <th bgcolor="silver">Data type</th>
      <th bgcolor="silver">Default value</th>
      <th bgcolor="silver">Required?</th>
    </tr>
    <xsl:apply-templates/>
  </table>
</xsl:template>

<xsl:template match="attribute">
  <tr><xsl:apply-templates/></tr>
</xsl:template>

<xsl:template match="attname|attdesc|atttype|attdefvalue|attrequired">
  <td><xsl:apply-templates/></td>
</xsl:template>

</xsl:stylesheet>