<?xml version="1.0" encoding="UTF-8" ?>

<!--  fld2htm.xsl 1.0; 3 May 2001
 | folder of DITA topics to HTML
 |
 | Copyright IBM Corporation, 2001
 | This file is part of the DITA package on IBM's developerWorks site.
 | See license.txt for disclaimers.
 +======================================
 | This stylesheet performs a simple aggregation of sequenced topics
 | into a printable "folder" of topics.
 | TBD: add a "Table of Contents" for the collection.
 *-->

<xsl:stylesheet version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:import href="dit2htm.xsl"/>

<xsl:output method="html" encoding="iso-8859-1"
            indent="no" />


<xsl:variable name="imgdir">images/</xsl:variable>



<xsl:template match="/">     <!-- first prepare commentary around list -->
 <xsl:comment>Sample DITA to HTML application by IBM Corp., 2001</xsl:comment>
 <HTML>
   <HEAD>
      <META http-equiv="generator" content="IBM Darwin Information Typing Architecture folder transform"/>
      <LINK HREF="slides.css" REL="STYLESHEET" TYPE="text/css"/>
      <TITLE>
        <xsl:value-of select="//*/fldtitle"/>
       </TITLE>
   </HEAD>
   <BODY>
       <xsl:apply-templates/>
   </BODY>
 </HTML>
</xsl:template>


<xsl:template match="folder">
  <xsl:apply-templates/>
</xsl:template>

<xsl:template match="fldabstract">
<div class="fldabstract">
  <xsl:apply-templates/>
</div>
<hr/>
</xsl:template>


<xsl:template match="fldtitle">
<h1 class="fldtitle">
  <xsl:apply-templates/>
</h1>
</xsl:template>



</xsl:stylesheet>

