<!--  refdisplay.xsl 1.0; 22 February 2001
 | Specific override stylesheet for reftopics (demo)
 | This produces a simpler form of output than the standard dit2htm.xsl,
 | and demonstrates the XSLT override mechanism tied to a specialization.
 |
 | Copyright IBM Corporation, 2001
 | This file is part of the DITA package on IBM's developerWorks site.
 | See license.txt for disclaimers.
 +======================================
 |
 *-->

<xsl:stylesheet version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:import href="dit2htm.xsl"/>

<xsl:output method="html" encoding="iso-8859-1"
            indent="no" />

<xsl:template match="/">
  <xsl:comment>Sample DITA to HTML application by IBM Corp., 2001</xsl:comment>
  <xsl:apply-templates/>
</xsl:template>

<xsl:template match="*[contains(@spec,' reftopic.reftopic ')]">
<hr/>
<html>
  <head>
    <meta http-equiv="generator" content="IBM Darwin Information Typing Architecture refdisplay transform"/>
  </head>
      <a><xsl:attribute name="name"><xsl:value-of select="generate-id()"/></xsl:attribute> </a>
	<xsl:apply-templates/>
</html>
</xsl:template>

<xsl:template match="*[contains(@spec,' reftopic.title ')]">
	<head>
		<title>
			<xsl:value-of select="."/>
		</title>
	</head>	
</xsl:template>

<xsl:template match="*[contains(@spec,' reftopic.refbody ')]">
	<body>
	<h2><xsl:value-of select="preceding-sibling::*[contains(@spec,' reftopic.title ')]"/></h2>
	<xsl:apply-templates/>
	</body>
</xsl:template>


<xsl:template match="*[contains(@spec,' reftopic.refsyn ')]">
	<p><code>
		<xsl:apply-templates/>
	</code></p>
</xsl:template>

<xsl:template match="*[contains(@spec,' reftopic.synph ')]">
	&#160;<xsl:value-of select="*|text()"/>
</xsl:template>

<xsl:template match="*[contains(@spec,' reftopic.refsect ')]">
	<xsl:if test="@title">
		<h4><xsl:value-of select="@title"/></h4>
	</xsl:if>
	<xsl:apply-templates/>
</xsl:template>

<xsl:template match="*[contains(@spec,' reftopic.refxmp ')]">
	<xsl:if test="@title">
		<h4><xsl:value-of select="@title"/></h4>
	</xsl:if>
	<xsl:apply-templates/>
</xsl:template>



<xsl:template match="*[contains(@spec,' reftopic.properties ')]">
	<xsl:if test="@title">
		<h4><xsl:value-of select="@title"/></h4>		
	</xsl:if>
	<dl>
	<xsl:apply-templates/>
	</dl>
</xsl:template>

<xsl:template match="*[contains(@spec,' reftopic.property ')]">
  <dlentry><xsl:apply-templates /></dlentry>
</xsl:template>

<xsl:template match="*[contains(@spec,' reftopic.proptype ')]">
	<dt><code><xsl:apply-templates/></code></dt>
</xsl:template>

<xsl:template match="*[contains(@spec,' reftopic.propvalue ')]">
	<dd><xsl:apply-templates/></dd>
</xsl:template>

</xsl:stylesheet>
	