<?xml version="1.0" encoding="UTF-8" ?>

<!-- spec-only.xsl 1.0; 08 October 2001
 | Basic, fully-specialized DITA stylesheet
 | (use this to start new stylesheets from scratch)
 |
 | Copyright IBM Corporation, 2001
 | This file is part of the DITA package on IBM's developerWorks site.
 | See license.txt for disclaimers.
 +======================================
 |
 *-->

<xsl:stylesheet version="1.0" 
                xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:output method="xml" indent="yes" />

<xsl:template match="comment()|processing-instruction()">
   <xsl:copy />
</xsl:template>

<!-- list of topic.dtd specialized patterns -->

<xsl:template match="*[contains(@spec,' topic.topic ')]">
  <tag elem="{name()}">
    <xsl:apply-templates/>
  </tag>
</xsl:template>

<xsl:template match="*[contains(@spec,' topic.title ')]">
  <tag elem="{name()}">
    <xsl:apply-templates/>
  </tag>
</xsl:template>

<xsl:template match="*[contains(@spec,' topic.label ')]">
  <tag elem="{name()}">
    <xsl:apply-templates/>
  </tag>
</xsl:template>

<xsl:template match="*[contains(@spec,' topic.body ')]">
  <tag elem="{name()}">
    <xsl:apply-templates/>
  </tag>
</xsl:template>

<xsl:template match="*[contains(@spec,' topic.null ')]">
  <tag elem="{name()}">
    <xsl:apply-templates/>
  </tag>
</xsl:template>

<xsl:template match="*[contains(@spec,' topic.section ')]">
  <tag elem="{name()}">
    <xsl:apply-templates/>
  </tag>
</xsl:template>

<xsl:template match="*[contains(@spec,' topic.xmp ')]">
  <tag elem="{name()}">
    <xsl:apply-templates/>
  </tag>
</xsl:template>

<xsl:template match="*[contains(@spec,' topic.prolog ')]">
  <tag elem="{name()}">
    <xsl:apply-templates/>
  </tag>
</xsl:template>

<xsl:template match="*[contains(@spec,' topic.shortdesc ')]">
  <tag elem="{name()}">
    <xsl:apply-templates/>
  </tag>
</xsl:template>

<xsl:template match="*[contains(@spec,' topic.longdesc ')]">
  <tag elem="{name()}">
    <xsl:apply-templates/>
  </tag>
</xsl:template>

<xsl:template match="*[contains(@spec,' topic.credits ')]">
  <tag elem="{name()}">
    <xsl:apply-templates/>
  </tag>
</xsl:template>

<xsl:template match="*[contains(@spec,' topic.classdef ')]">
  <tag elem="{name()}">
    <xsl:apply-templates/>
  </tag>
</xsl:template>

<xsl:template match="*[contains(@spec,' topic.contentdef ')]">
  <tag elem="{name()}">
    <xsl:apply-templates/>
  </tag>
</xsl:template>

<xsl:template match="*[contains(@spec,' topic.sem ')]">
  <tag elem="{name()}">
    <xsl:apply-templates/>
  </tag>
</xsl:template>

<xsl:template match="*[contains(@spec,' topic.desc ')]">
  <tag elem="{name()}">
    <xsl:apply-templates/>
  </tag>
</xsl:template>

<xsl:template match="*[contains(@spec,' topic.relgroup ')]">
  <tag elem="{name()}">
    <xsl:apply-templates/>
  </tag>
</xsl:template>

<xsl:template match="*[contains(@spec,' topic.ldesc ')]">
  <tag elem="{name()}">
    <xsl:apply-templates/>
  </tag>
</xsl:template>

<xsl:template match="*[contains(@spec,' topic.bibdesc ')]">
  <tag elem="{name()}">
    <xsl:apply-templates/>
  </tag>
</xsl:template>

<xsl:template match="*[contains(@spec,' topic.pubyear ')]">
  <tag elem="{name()}">
    <xsl:apply-templates/>
  </tag>
</xsl:template>

<xsl:template match="*[contains(@spec,' topic.publication ')]">
  <tag elem="{name()}">
    <xsl:apply-templates/>
  </tag>
</xsl:template>

<xsl:template match="*[contains(@spec,' topic.volnum ')]">
  <tag elem="{name()}">
    <xsl:apply-templates/>
  </tag>
</xsl:template>

<xsl:template match="*[contains(@spec,' topic.pages ')]">
  <tag elem="{name()}">
    <xsl:apply-templates/>
  </tag>
</xsl:template>

<xsl:template match="*[contains(@spec,' topic.publisher ')]">
  <tag elem="{name()}">
    <xsl:apply-templates/>
  </tag>
</xsl:template>

<xsl:template match="*[contains(@spec,' topic.city ')]">
  <tag elem="{name()}">
    <xsl:apply-templates/>
  </tag>
</xsl:template>

<xsl:template match="*[contains(@spec,' topic.company ')]">
  <tag elem="{name()}">
    <xsl:apply-templates/>
  </tag>
</xsl:template>

<xsl:template match="*[contains(@spec,' topic.date ')]">
  <tag elem="{name()}">
    <xsl:apply-templates/>
  </tag>
</xsl:template>

<xsl:template match="*[contains(@spec,' topic.time ')]">
  <tag elem="{name()}">
    <xsl:apply-templates/>
  </tag>
</xsl:template>

<xsl:template match="*[contains(@spec,' topic.currency ')]">
  <tag elem="{name()}">
    <xsl:apply-templates/>
  </tag>
</xsl:template>

<xsl:template match="*[contains(@spec,' topic.author ')]">
  <tag elem="{name()}">
    <xsl:apply-templates/>
  </tag>
</xsl:template>

<xsl:template match="*[contains(@spec,' topic.name ')]">
  <tag elem="{name()}">
    <xsl:apply-templates/>
  </tag>
</xsl:template>

<xsl:template match="*[contains(@spec,' topic.affil ')]">
  <tag elem="{name()}">
    <xsl:apply-templates/>
  </tag>
</xsl:template>

<xsl:template match="*[contains(@spec,' topic.email ')]">
  <tag elem="{name()}">
    <xsl:apply-templates/>
  </tag>
</xsl:template>

<xsl:template match="*[contains(@spec,' topic.bio ')]">
  <tag elem="{name()}">
    <xsl:apply-templates/>
  </tag>
</xsl:template>

<xsl:template match="*[contains(@spec,' topic.i ')]">
  <tag elem="{name()}">
    <xsl:apply-templates/>
  </tag>
</xsl:template>

<xsl:template match="*[contains(@spec,' topic.b ')]">
  <tag elem="{name()}">
    <xsl:apply-templates/>
  </tag>
</xsl:template>

<xsl:template match="*[contains(@spec,' topic.em ')]">
  <tag elem="{name()}">
    <xsl:apply-templates/>
  </tag>
</xsl:template>

<xsl:template match="*[contains(@spec,' topic.strong ')]">
  <tag elem="{name()}">
    <xsl:apply-templates/>
  </tag>
</xsl:template>

<xsl:template match="*[contains(@spec,' topic.tt ')]">
  <tag elem="{name()}">
    <xsl:apply-templates/>
  </tag>
</xsl:template>

<xsl:template match="*[contains(@spec,' topic.sup ')]">
  <tag elem="{name()}">
    <xsl:apply-templates/>
  </tag>
</xsl:template>

<xsl:template match="*[contains(@spec,' topic.sub ')]">
  <tag elem="{name()}">
    <xsl:apply-templates/>
  </tag>
</xsl:template>

<xsl:template match="*[contains(@spec,' topic.code ')]">
  <tag elem="{name()}">
    <xsl:apply-templates/>
  </tag>
</xsl:template>

<xsl:template match="*[contains(@spec,' topic.samp ')]">
  <tag elem="{name()}">
    <xsl:apply-templates/>
  </tag>
</xsl:template>

<xsl:template match="*[contains(@spec,' topic.kbd ')]">
  <tag elem="{name()}">
    <xsl:apply-templates/>
  </tag>
</xsl:template>

<xsl:template match="*[contains(@spec,' topic.input ')]">
  <tag elem="{name()}">
    <xsl:apply-templates/>
  </tag>
</xsl:template>

<xsl:template match="*[contains(@spec,' topic.select ')]">
  <tag elem="{name()}">
    <xsl:apply-templates/>
  </tag>
</xsl:template>

<xsl:template match="*[contains(@spec,' topic.optgroup ')]">
  <tag elem="{name()}">
    <xsl:apply-templates/>
  </tag>
</xsl:template>

<xsl:template match="*[contains(@spec,' topic.option ')]">
  <tag elem="{name()}">
    <xsl:apply-templates/>
  </tag>
</xsl:template>

<xsl:template match="*[contains(@spec,' topic.p ')]">
  <tag elem="{name()}">
    <xsl:apply-templates/>
  </tag>
</xsl:template>

<xsl:template match="*[contains(@spec,' topic.note ')]">
  <tag elem="{name()}">
    <xsl:apply-templates/>
  </tag>
</xsl:template>

<xsl:template match="*[contains(@spec,' topic.lq ')]">
  <tag elem="{name()}">
    <xsl:apply-templates/>
  </tag>
</xsl:template>

<xsl:template match="*[contains(@spec,' topic.ul ')]">
  <tag elem="{name()}">
    <xsl:apply-templates/>
  </tag>
</xsl:template>

<xsl:template match="*[contains(@spec,' topic.ol ')]">
  <tag elem="{name()}">
    <xsl:apply-templates/>
  </tag>
</xsl:template>

<xsl:template match="*[contains(@spec,' topic.li ')]">
  <tag elem="{name()}">
    <xsl:apply-templates/>
  </tag>
</xsl:template>

<xsl:template match="*[contains(@spec,' topic.liblock ')]">
  <tag elem="{name()}">
    <xsl:apply-templates/>
  </tag>
</xsl:template>

<xsl:template match="*[contains(@spec,' topic.notelist ')]">
  <tag elem="{name()}">
    <xsl:apply-templates/>
  </tag>
</xsl:template>

<xsl:template match="*[contains(@spec,' topic.dl ')]">
  <tag elem="{name()}">
    <xsl:apply-templates/>
  </tag>
</xsl:template>

<xsl:template match="*[contains(@spec,' topic.dlhead ')]">
  <tag elem="{name()}">
    <xsl:apply-templates/>
  </tag>
</xsl:template>

<xsl:template match="*[contains(@spec,' topic.dthd ')]">
  <tag elem="{name()}">
    <xsl:apply-templates/>
  </tag>
</xsl:template>

<xsl:template match="*[contains(@spec,' topic.ddhd ')]">
  <tag elem="{name()}">
    <xsl:apply-templates/>
  </tag>
</xsl:template>

<xsl:template match="*[contains(@spec,' topic.dlentry ')]">
  <tag elem="{name()}">
    <xsl:apply-templates/>
  </tag>
</xsl:template>

<xsl:template match="*[contains(@spec,' topic.dt ')]">
  <tag elem="{name()}">
    <xsl:apply-templates/>
  </tag>
</xsl:template>

<xsl:template match="*[contains(@spec,' topic.dd ')]">
  <tag elem="{name()}">
    <xsl:apply-templates/>
  </tag>
</xsl:template>

<xsl:template match="*[contains(@spec,' topic.synph ')]">
  <tag elem="{name()}">
    <xsl:apply-templates/>
  </tag>
</xsl:template>

<xsl:template match="*[contains(@spec,' topic.literal ')]">
  <tag elem="{name()}">
    <xsl:apply-templates/>
  </tag>
</xsl:template>

<xsl:template match="*[contains(@spec,' topic.caution ')]">
  <tag elem="{name()}">
    <xsl:apply-templates/>
  </tag>
</xsl:template>

<xsl:template match="*[contains(@spec,' topic.attention ')]">
  <tag elem="{name()}">
    <xsl:apply-templates/>
  </tag>
</xsl:template>

<xsl:template match="*[contains(@spec,' topic.danger ')]">
  <tag elem="{name()}">
    <xsl:apply-templates/>
  </tag>
</xsl:template>

<xsl:template match="*[contains(@spec,' topic.gl ')]">
  <tag elem="{name()}">
    <xsl:apply-templates/>
  </tag>
</xsl:template>

<xsl:template match="*[contains(@spec,' topic.glentry ')]">
  <tag elem="{name()}">
    <xsl:apply-templates/>
  </tag>
</xsl:template>

<xsl:template match="*[contains(@spec,' topic.gt ')]">
  <tag elem="{name()}">
    <xsl:apply-templates/>
  </tag>
</xsl:template>

<xsl:template match="*[contains(@spec,' topic.gd ')]">
  <tag elem="{name()}">
    <xsl:apply-templates/>
  </tag>
</xsl:template>

<xsl:template match="*[contains(@spec,' topic.qalist ')]">
  <tag elem="{name()}">
    <xsl:apply-templates/>
  </tag>
</xsl:template>

<xsl:template match="*[contains(@spec,' topic.qaentry ')]">
  <tag elem="{name()}">
    <xsl:apply-templates/>
  </tag>
</xsl:template>

<xsl:template match="*[contains(@spec,' topic.qitem ')]">
  <tag elem="{name()}">
    <xsl:apply-templates/>
  </tag>
</xsl:template>

<xsl:template match="*[contains(@spec,' topic.aitem ')]">
  <tag elem="{name()}">
    <xsl:apply-templates/>
  </tag>
</xsl:template>

<xsl:template match="*[contains(@spec,' topic.fig ')]">
  <tag elem="{name()}">
    <xsl:apply-templates/>
  </tag>
</xsl:template>

<xsl:template match="*[contains(@spec,' topic.figbody ')]">
  <tag elem="{name()}">
    <xsl:apply-templates/>
  </tag>
</xsl:template>

<xsl:template match="*[contains(@spec,' topic.pre ')]">
  <tag elem="{name()}">
    <xsl:apply-templates/>
  </tag>
</xsl:template>

<xsl:template match="*[contains(@spec,' topic.cgraphic ')]">
  <tag elem="{name()}">
    <xsl:apply-templates/>
  </tag>
</xsl:template>

<xsl:template match="*[contains(@spec,' topic.screen ')]">
  <tag elem="{name()}">
    <xsl:apply-templates/>
  </tag>
</xsl:template>

<xsl:template match="*[contains(@spec,' topic.lines ')]">
  <tag elem="{name()}">
    <xsl:apply-templates/>
  </tag>
</xsl:template>

<xsl:template match="*[contains(@spec,' topic.address ')]">
  <tag elem="{name()}">
    <xsl:apply-templates/>
  </tag>
</xsl:template>

<xsl:template match="*[contains(@spec,' topic.litdata ')]">
  <tag elem="{name()}">
    <xsl:apply-templates/>
  </tag>
</xsl:template>

<xsl:template match="*[contains(@spec,' topic.dialog ')]">
  <tag elem="{name()}">
    <xsl:apply-templates/>
  </tag>
</xsl:template>

<xsl:template match="*[contains(@spec,' topic.dialogdef ')]">
  <tag elem="{name()}">
    <xsl:apply-templates/>
  </tag>
</xsl:template>

<xsl:template match="*[contains(@spec,' topic.dialogbody ')]">
  <tag elem="{name()}">
    <xsl:apply-templates/>
  </tag>
</xsl:template>

<xsl:template match="*[contains(@spec,' topic.sysname ')]">
  <tag elem="{name()}">
    <xsl:apply-templates/>
  </tag>
</xsl:template>

<xsl:template match="*[contains(@spec,' topic.username ')]">
  <tag elem="{name()}">
    <xsl:apply-templates/>
  </tag>
</xsl:template>

<xsl:template match="*[contains(@spec,' topic.sys ')]">
  <tag elem="{name()}">
    <xsl:apply-templates/>
  </tag>
</xsl:template>

<xsl:template match="*[contains(@spec,' topic.user ')]">
  <tag elem="{name()}">
    <xsl:apply-templates/>
  </tag>
</xsl:template>

<xsl:template match="*[contains(@spec,' topic.syntax ')]">
  <tag elem="{name()}">
    <xsl:apply-templates/>
  </tag>
</xsl:template>

<xsl:template match="*[contains(@spec,' topic.synblk ')]">
  <tag elem="{name()}">
    <xsl:apply-templates/>
  </tag>
</xsl:template>

<xsl:template match="*[contains(@spec,' topic.group ')]">
  <tag elem="{name()}">
    <xsl:apply-templates/>
  </tag>
</xsl:template>

<xsl:template match="*[contains(@spec,' topic.synnote ')]">
  <tag elem="{name()}">
    <xsl:apply-templates/>
  </tag>
</xsl:template>

<xsl:template match="*[contains(@spec,' topic.fragref ')]">
  <tag elem="{name()}">
    <xsl:apply-templates/>
  </tag>
</xsl:template>

<xsl:template match="*[contains(@spec,' topic.fragment ')]">
  <tag elem="{name()}">
    <xsl:apply-templates/>
  </tag>
</xsl:template>

<xsl:template match="*[contains(@spec,' topic.var ')]">
  <tag elem="{name()}">
    <xsl:apply-templates/>
  </tag>
</xsl:template>

<xsl:template match="*[contains(@spec,' topic.kwd ')]">
  <tag elem="{name()}">
    <xsl:apply-templates/>
  </tag>
</xsl:template>

<xsl:template match="*[contains(@spec,' topic.oper ')]">
  <tag elem="{name()}">
    <xsl:apply-templates/>
  </tag>
</xsl:template>

<xsl:template match="*[contains(@spec,' topic.delim ')]">
  <tag elem="{name()}">
    <xsl:apply-templates/>
  </tag>
</xsl:template>

<xsl:template match="*[contains(@spec,' topic.sep ')]">
  <tag elem="{name()}">
    <xsl:apply-templates/>
  </tag>
</xsl:template>

<xsl:template match="*[contains(@spec,' topic.repsep ')]">
  <tag elem="{name()}">
    <xsl:apply-templates/>
  </tag>
</xsl:template>

<xsl:template match="*[contains(@spec,' topic.parm ')]">
  <tag elem="{name()}">
    <xsl:apply-templates/>
  </tag>
</xsl:template>

<xsl:template match="*[contains(@spec,' topic.flag ')]">
  <tag elem="{name()}">
    <xsl:apply-templates/>
  </tag>
</xsl:template>

<xsl:template match="*[contains(@spec,' topic.comment ')]">
  <tag elem="{name()}">
    <xsl:apply-templates/>
  </tag>
</xsl:template>

<xsl:template match="*[contains(@spec,' topic.shortcut ')]">
  <tag elem="{name()}">
    <xsl:apply-templates/>
  </tag>
</xsl:template>

<xsl:template match="*[contains(@spec,' topic.mmobj ')]">
  <tag elem="{name()}">
    <xsl:apply-templates/>
  </tag>
</xsl:template>

<xsl:template match="*[contains(@spec,' topic.textalt ')]">
  <tag elem="{name()}">
    <xsl:apply-templates/>
  </tag>
</xsl:template>

<xsl:template match="*[contains(@spec,' topic.formula ')]">
  <tag elem="{name()}">
    <xsl:apply-templates/>
  </tag>
</xsl:template>

<xsl:template match="*[contains(@spec,' topic.term ')]">
  <tag elem="{name()}">
    <xsl:apply-templates/>
  </tag>
</xsl:template>

<xsl:template match="*[contains(@spec,' topic.ph ')]">
  <tag elem="{name()}">
    <xsl:apply-templates/>
  </tag>
</xsl:template>

<xsl:template match="*[contains(@spec,' topic.q ')]">
  <tag elem="{name()}">
    <xsl:apply-templates/>
  </tag>
</xsl:template>

<xsl:template match="*[contains(@spec,' topic.char ')]">
  <tag elem="{name()}">
    <xsl:apply-templates/>
  </tag>
</xsl:template>

<xsl:template match="*[contains(@spec,' topic.num ')]">
  <tag elem="{name()}">
    <xsl:apply-templates/>
  </tag>
</xsl:template>

<xsl:template match="*[contains(@spec,' topic.bin ')]">
  <tag elem="{name()}">
    <xsl:apply-templates/>
  </tag>
</xsl:template>

<xsl:template match="*[contains(@spec,' topic.oct ')]">
  <tag elem="{name()}">
    <xsl:apply-templates/>
  </tag>
</xsl:template>

<xsl:template match="*[contains(@spec,' topic.dec ')]">
  <tag elem="{name()}">
    <xsl:apply-templates/>
  </tag>
</xsl:template>

<xsl:template match="*[contains(@spec,' topic.hex ')]">
  <tag elem="{name()}">
    <xsl:apply-templates/>
  </tag>
</xsl:template>

<xsl:template match="*[contains(@spec,' topic.boolean ')]">
  <tag elem="{name()}">
    <xsl:apply-templates/>
  </tag>
</xsl:template>

<xsl:template match="*[contains(@spec,' topic.state ')]">
  <tag elem="{name()}">
    <xsl:apply-templates/>
  </tag>
</xsl:template>

<xsl:template match="*[contains(@spec,' topic.required-cleanup ')]">
  <tag elem="{name()}">
    <xsl:apply-templates/>
  </tag>
</xsl:template>

<xsl:template match="*[contains(@spec,' topic.fn ')]">
  <tag elem="{name()}">
    <xsl:apply-templates/>
  </tag>
</xsl:template>

<xsl:template match="*[contains(@spec,' topic.i1 ')]">
  <tag elem="{name()}">
    <xsl:apply-templates/>
  </tag>
</xsl:template>

<xsl:template match="*[contains(@spec,' topic.i2 ')]">
  <tag elem="{name()}">
    <xsl:apply-templates/>
  </tag>
</xsl:template>

<xsl:template match="*[contains(@spec,' topic.i3 ')]">
  <tag elem="{name()}">
    <xsl:apply-templates/>
  </tag>
</xsl:template>

<xsl:template match="*[contains(@spec,' topic.ih1 ')]">
  <tag elem="{name()}">
    <xsl:apply-templates/>
  </tag>
</xsl:template>

<xsl:template match="*[contains(@spec,' topic.ih2 ')]">
  <tag elem="{name()}">
    <xsl:apply-templates/>
  </tag>
</xsl:template>

<xsl:template match="*[contains(@spec,' topic.ih3 ')]">
  <tag elem="{name()}">
    <xsl:apply-templates/>
  </tag>
</xsl:template>

<xsl:template match="*[contains(@spec,' topic.iref ')]">
  <tag elem="{name()}">
    <xsl:apply-templates/>
  </tag>
</xsl:template>

<xsl:template match="*[contains(@spec,' topic.topicref ')]">
  <tag elem="{name()}">
    <xsl:apply-templates/>
  </tag>
</xsl:template>

<xsl:template match="*[contains(@spec,' topic.include ')]">
  <tag elem="{name()}">
    <xsl:apply-templates/>
  </tag>
</xsl:template>

<xsl:template match="*[contains(@spec,' topic.cite ')]">
  <tag elem="{name()}">
    <xsl:apply-templates/>
  </tag>
</xsl:template>

<xsl:template match="*[contains(@spec,' topic.link ')]">
  <tag elem="{name()}">
    <xsl:apply-templates/>
  </tag>
</xsl:template>

<xsl:template match="*[contains(@spec,' topic.xref ')]">
  <tag elem="{name()}">
    <xsl:apply-templates/>
  </tag>
</xsl:template>

<xsl:template match="*[contains(@spec,' topic.rel ')]">
  <tag elem="{name()}">
    <xsl:apply-templates/>
  </tag>
</xsl:template>

<xsl:template match="*[contains(@spec,' topic.docmeta ')]">
  <tag elem="{name()}">
    <xsl:apply-templates/>
  </tag>
</xsl:template>

<xsl:template match="*[contains(@spec,' topic.subject ')]">

  <tag elem="{name()}">
    <xsl:apply-templates/>
  </tag>
</xsl:template>

<xsl:template match="*[contains(@spec,' topic.category ')]">
  <tag elem="{name()}">
    <xsl:apply-templates/>
  </tag>
</xsl:template>

<xsl:template match="*[contains(@spec,' topic.audience ')]">
  <tag elem="{name()}">
    <xsl:apply-templates/>
  </tag>
</xsl:template>

<xsl:template match="*[contains(@spec,' topic.copyright ')]">
  <tag elem="{name()}">
    <xsl:apply-templates/>
  </tag>
</xsl:template>

<xsl:template match="*[contains(@spec,' topic.copyrdate ')]">
  <tag elem="{name()}">
    <xsl:apply-templates/>
  </tag>
</xsl:template>

<xsl:template match="*[contains(@spec,' topic.copyrholder ')]">
  <tag elem="{name()}">
    <xsl:apply-templates/>
  </tag>
</xsl:template>

<xsl:template match="*[contains(@spec,' topic.keywords ')]">
  <tag elem="{name()}">
    <xsl:apply-templates/>
  </tag>
</xsl:template>

<xsl:template match="*[contains(@spec,' topic.intended-type ')]">
  <tag elem="{name()}">
    <xsl:apply-templates/>
  </tag>
</xsl:template>

<xsl:template match="*[contains(@spec,' topic.meta ')]">
  <tag elem="{name()}">
    <xsl:apply-templates/>
  </tag>
</xsl:template>

<xsl:template match="*[contains(@spec,' topic.dbmeta ')]">
  <tag elem="{name()}">
    <xsl:apply-templates/>
  </tag>
</xsl:template>

<xsl:template match="*[contains(@spec,' topic.xmeta ')]">
  <tag elem="{name()}">
    <xsl:apply-templates/>
  </tag>
</xsl:template>

<xsl:template match="*[contains(@spec,' topic.prodinfo ')]">
  <tag elem="{name()}">
    <xsl:apply-templates/>
  </tag>
</xsl:template>

<xsl:template match="*[contains(@spec,' topic.prodname ')]">
  <tag elem="{name()}">
    <xsl:apply-templates/>
  </tag>
</xsl:template>

<xsl:template match="*[contains(@spec,' topic.vrmlist ')]">
  <tag elem="{name()}">
    <xsl:apply-templates/>
  </tag>
</xsl:template>

<xsl:template match="*[contains(@spec,' topic.vrm ')]">
  <tag elem="{name()}">
    <xsl:apply-templates/>
  </tag>
</xsl:template>

<xsl:template match="*[contains(@spec,' topic.version ')]">
  <tag elem="{name()}">
    <xsl:apply-templates/>
  </tag>
</xsl:template>

<xsl:template match="*[contains(@spec,' topic.model ')]">
  <tag elem="{name()}">
    <xsl:apply-templates/>
  </tag>
</xsl:template>

<xsl:template match="*[contains(@spec,' topic.release ')]">
  <tag elem="{name()}">
    <xsl:apply-templates/>
  </tag>
</xsl:template>

<xsl:template match="*[contains(@spec,' topic.brand ')]">
  <tag elem="{name()}">
    <xsl:apply-templates/>
  </tag>
</xsl:template>

<xsl:template match="*[contains(@spec,' topic.series ')]">
  <tag elem="{name()}">
    <xsl:apply-templates/>
  </tag>
</xsl:template>

<xsl:template match="*[contains(@spec,' topic.opsys ')]">
  <tag elem="{name()}">
    <xsl:apply-templates/>
  </tag>
</xsl:template>

<xsl:template match="*[contains(@spec,' topic.pgmnum ')]">
  <tag elem="{name()}">
    <xsl:apply-templates/>
  </tag>
</xsl:template>

<xsl:template match="*[contains(@spec,' topic.featnum ')]">
  <tag elem="{name()}">
    <xsl:apply-templates/>
  </tag>
</xsl:template>

<xsl:template match="*[contains(@spec,' topic.compidref ')]">
  <tag elem="{name()}">
    <xsl:apply-templates/>
  </tag>
</xsl:template>

<xsl:template match="*[contains(@spec,' topic.country ')]">
  <tag elem="{name()}">
    <xsl:apply-templates/>
  </tag>
</xsl:template>

<xsl:template match="*[contains(@spec,' topic.location ')]">
  <tag elem="{name()}">
    <xsl:apply-templates/>
  </tag>
</xsl:template>

<xsl:template match="*[contains(@spec,' topic.critdates ')]">
  <tag elem="{name()}">
    <xsl:apply-templates/>
  </tag>
</xsl:template>

<xsl:template match="*[contains(@spec,' topic.created ')]">
  <tag elem="{name()}">
    <xsl:apply-templates/>
  </tag>
</xsl:template>

<xsl:template match="*[contains(@spec,' topic.rev ')]">
  <tag elem="{name()}">
    <xsl:apply-templates/>
  </tag>
</xsl:template>

<xsl:template match="*[contains(@spec,' topic.modified ')]">
  <tag elem="{name()}">
    <xsl:apply-templates/>
  </tag>
</xsl:template>

<xsl:template match="*[contains(@spec,' topic.golive ')]">
  <tag elem="{name()}">
    <xsl:apply-templates/>
  </tag>
</xsl:template>

<xsl:template match="*[contains(@spec,' topic.expiry ')]">
  <tag elem="{name()}">
    <xsl:apply-templates/>
  </tag>
</xsl:template>

<xsl:template match="*[contains(@spec,' topic.permissions ')]">
  <tag elem="{name()}">
    <xsl:apply-templates/>
  </tag>
</xsl:template>

<xsl:template match="*[contains(@spec,' topic.status ')]">
  <tag elem="{name()}">
    <xsl:apply-templates/>
  </tag>
</xsl:template>

<xsl:template match="*[contains(@spec,' topic.eventdate ')]">
  <tag elem="{name()}">
    <xsl:apply-templates/>
  </tag>
</xsl:template>

<xsl:template match="*[contains(@spec,' topic.table ')]">
  <tag elem="{name()}">
    <xsl:apply-templates/>
  </tag>
</xsl:template>

<xsl:template match="*[contains(@spec,' topic.tgroup ')]">
  <tag elem="{name()}">
    <xsl:apply-templates/>
  </tag>
</xsl:template>

<xsl:template match="*[contains(@spec,' topic.colspec ')]">
  <tag elem="{name()}">
    <xsl:apply-templates/>
  </tag>
</xsl:template>
<xsl:template match="*[contains(@spec,' topic.spanspec ')]">
  <tag elem="{name()}">
    <xsl:apply-templates/>
  </tag>
</xsl:template>

<xsl:template match="*[contains(@spec,' topic.thead ')]">
  <tag elem="{name()}">
    <xsl:apply-templates/>
  </tag>
</xsl:template>

<xsl:template match="*[contains(@spec,' topic.tfoot ')]">
  <tag elem="{name()}">
    <xsl:apply-templates/>
  </tag>
</xsl:template>

<xsl:template match="*[contains(@spec,' topic.tbody ')]">
  <tag elem="{name()}">
    <xsl:apply-templates/>
  </tag>
</xsl:template>

<xsl:template match="*[contains(@spec,' topic.row ')]">
  <tag elem="{name()}">
    <xsl:apply-templates/>
  </tag>
</xsl:template>

<xsl:template match="*[contains(@spec,' topic.entry ')]">
  <tag elem="{name()}">
    <xsl:apply-templates/>
  </tag>
</xsl:template>

<xsl:template match="*[contains(@spec,' topic.semtable ')]">
  <tag elem="{name()}">
    <xsl:apply-templates/>
  </tag>
</xsl:template>

<xsl:template match="*[contains(@spec,' topic.semrow ')]">
  <tag elem="{name()}">
    <xsl:apply-templates/>
  </tag>
</xsl:template>

<xsl:template match="*[contains(@spec,' topic.sementry ')]">
  <tag elem="{name()}">
    <xsl:apply-templates/>
  </tag>
</xsl:template>


</xsl:stylesheet>
