<?xml version="1.0" encoding="UTF-8" ?>

<!--  specialize.xsl 1.0; 14 June 2001
 | Convert "generalized" DITA topics back into specialized form
 |
 | Copyright IBM Corporation, 2001
 | This file is part of the DITA package on IBM's developerWorks site.
 | See license.txt for disclaimers.
 +======================================
 |
 *-->

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output method="xml" indent="no"/>

	<xsl:template match="*[@spec]">
		<xsl:call-template name="specialize">			
			<xsl:with-param name="spec" select="@spec"/>
		</xsl:call-template>
	</xsl:template>
	
	<xsl:template name="specialize">
		<xsl:param name="spec"/>
		<xsl:choose>
			<xsl:when test="contains(normalize-space($spec),' ')">
				<xsl:call-template name="specialize">
					<xsl:with-param name="spec" select="substring-after($spec,' ')"/>
				</xsl:call-template>
			</xsl:when>
			<xsl:otherwise>
				<xsl:variable name="element_name" select="substring-after(normalize-space($spec),'.')" />	
					<xsl:element name="{$element_name}">
		     				<xsl:copy-of select="@*[local-name() != 'spec']"/> 
						<xsl:apply-templates/>
			       	</xsl:element>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>	
	
	<xsl:template match="*|@*|comment()|processing-instruction()|text()">
	  <xsl:copy>
	    <xsl:apply-templates select="*|@*|comment()|processing-instruction()|text()"/>
	  </xsl:copy>
	</xsl:template>
	
</xsl:stylesheet>

