<?xml version="1.0" encoding="UTF-8" ?>

<!-- topicmerge.xsl 1.0; 08 October 2001
 | Merge DITA topics with "validation" of topic property
 |
 | Copyright IBM Corporation, 2001
 | This file is part of the DITA package on IBM's developerWorks site.
 | See license.txt for disclaimers.
 +======================================
 |
 *-->

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:template match="*">
  <xsl:copy>
    <xsl:apply-templates select="@*" />
    <xsl:apply-templates />
  </xsl:copy>
</xsl:template>

<xsl:template match="topic|*[contains(@spec,' topic.topic ')]">
      <xsl:element name="{name(.)}">
         <xsl:apply-templates select="@*"/>
         <xsl:copy-of select="prolog|*[contains(@spec,' topic.prolog ')]"/>
         <xsl:copy-of select="title|*[contains(@spec,' topic.title ')]"/>
         <xsl:copy-of select="body|*[contains(@spec,' topic.body ')]"/>
      </xsl:element>
	<!--strip out nested topics, only include one per topicref-->
</xsl:template>

<xsl:template match="@*">
  <xsl:copy-of select="." />
</xsl:template>

<xsl:template match="topicref">
  <xsl:comment>Start of imbed for <xsl:value-of select="@href"/></xsl:comment>
  <xsl:choose>
	<xsl:when test="contains(@href,'#')">
		<!--processing an explicit topic reference-->
		<xsl:variable name="sourcefile">
			<xsl:value-of select="substring-before(@href,'#')"/>
		</xsl:variable>
		<xsl:variable name="sourcetopic">
			<xsl:value-of select="substring-after(@href,'#')"/>
		</xsl:variable>
		<xsl:copy-of select="document($sourcefile,.)//*[@id=$sourcetopic][self::topic or contains(@spec, 'topic.topic ')]"/>
	</xsl:when>
	<xsl:otherwise>
		<!--processing a file reference - take first topic-->
		<xsl:apply-templates select="document(@href,.)/descendant::*[self::topic or contains(@spec, 'topic.topic ')][position()=1]"/>
	</xsl:otherwise>
  </xsl:choose>
  <xsl:comment>End of imbed for <xsl:value-of select="@href"/></xsl:comment>
</xsl:template>

</xsl:stylesheet>